## Struct template channel_visitor

boost::log::expressions::channel_severity_filter_terminal::channel_visitor — Channel visitor.

## Synopsis

    // In header: <boost/log/expressions/predicates/channel_severity_filter.hpp>

    // Channel visitor.
    template<typename ArgT>
    struct channel_visitor {
      // types
      typedef void result_type;

      // construct/copy/destruct
      channel_visitor(channel_severity_filter_terminal const &, ArgT, bool &);

      // public member functions
      result_type operator()(channel_value_type const &) const;
    };

## Description

### `channel_visitor` public construct/copy/destruct

1.     channel_visitor(channel_severity_filter_terminal const & self, ArgT arg,
                       bool & res);

### `channel_visitor` public member functions

1.     result_type operator()(channel_value_type const & channel) const;